tigase.xmpp.impl.roster

## Class DynamicRoster

- java.lang.Object
- - tigase.xmpp.impl.roster.DynamicRoster

-     public abstract class DynamicRoster
      extends Object

  Describe class DynamicRoster here. Created: Tue Nov 6 11:28:10 2007
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicRoster()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JID[]` | `addBuddies(XMPPResourceConnection session, Map<String,Object> settings, JID[] buddies)` Method description
    `static JID[]` | `addBuddies(XMPPResourceConnection session, Map<String,Object> settings, JID[] buddies, EnumSet<RosterAbstract.SubscriptionType> subscrs)`
    `static void` | `addBuddiesToList(List<JID> list, JID[] buddies)` Method description
    `static JID[]` | `getBuddies(XMPPResourceConnection session, Map<String,Object> settings)` Method description
    `static List<JID>` | `getBuddiesList(XMPPResourceConnection session, Map<String,Object> settings)` Method description
    `static Element` | `getBuddyItem(XMPPResourceConnection session, Map<String,Object> settings, JID buddy)` Method description
    `static DynamicRosterIfc[]` | `getDynamicRosters(Map<String,Object> settings)` Method description
    `static Element` | `getItemExtraData(XMPPResourceConnection session, Map<String,Object> settings, Element item)` Method description
    `static List<Element>` | `getRosterItems(XMPPResourceConnection session, Map<String,Object> settings)` Method description
    `static void` | `init_settings(Map<String,Object> settings)` Method description
    `static void` | `setItemExtraData(XMPPResourceConnection session, Map<String,Object> settings, Element item)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicRoster

          public DynamicRoster()

  - ### Method Detail

    - #### addBuddies

          public static JID[] addBuddies(XMPPResourceConnection session,
                                         Map<String,Object> settings,
                                         JID[] buddies)
                                  throws NotAuthorizedException,
                                         RosterRetrievingException,
                                         RepositoryAccessException

      Method description
      Parameters:
        `session` -
        `settings` -
        `buddies` -
      Returns:
        a value of `JID[]`
      Throws:
        `NotAuthorizedException`
        `RepositoryAccessException`
        `RosterRetrievingException`

    - #### addBuddies

          public static JID[] addBuddies(XMPPResourceConnection session,
                                         Map<String,Object> settings,
                                         JID[] buddies,
                                         EnumSet<RosterAbstract.SubscriptionType> subscrs)
                                  throws NotAuthorizedException,
                                         RosterRetrievingException,
                                         RepositoryAccessException

      Throws:
        `NotAuthorizedException`
        `RosterRetrievingException`
        `RepositoryAccessException`

    - #### addBuddiesToList

          public static void addBuddiesToList(List<JID> list,
                                              JID[] buddies)

      Method description
      Parameters:
        `list` -
        `buddies` -

    - #### init_settings

          public static void init_settings(Map<String,Object> settings)

      Method description
      Parameters:
        `settings` -

    - #### getBuddies

          public static JID[] getBuddies(XMPPResourceConnection session,
                                         Map<String,Object> settings)
                                  throws NotAuthorizedException,
                                         RosterRetrievingException,
                                         RepositoryAccessException

      Method description
      Parameters:
        `session` -
        `settings` -
      Returns:
        a value of `JID[]`
      Throws:
        `NotAuthorizedException`
        `RepositoryAccessException`
        `RosterRetrievingException`

    - #### getBuddiesList

          public static List<JID> getBuddiesList(XMPPResourceConnection session,
                                                 Map<String,Object> settings)
                                          throws NotAuthorizedException,
                                                 RosterRetrievingException,
                                                 RepositoryAccessException

      Method description
      Parameters:
        `session` -
        `settings` -
      Returns:
        a value of `List<JID>`
      Throws:
        `NotAuthorizedException`
        `RepositoryAccessException`
        `RosterRetrievingException`

    - #### getBuddyItem

          public static Element getBuddyItem(XMPPResourceConnection session,
                                             Map<String,Object> settings,
                                             JID buddy)
                                      throws NotAuthorizedException,
                                             RosterRetrievingException,
                                             RepositoryAccessException

      Method description
      Parameters:
        `session` -
        `settings` -
        `buddy` -
      Returns:
        a value of `Element`
      Throws:
        `NotAuthorizedException`
        `RepositoryAccessException`
        `RosterRetrievingException`

    - #### getDynamicRosters

          public static DynamicRosterIfc[] getDynamicRosters(Map<String,Object> settings)

      Method description
      Parameters:
        `settings` -
      Returns:
        a value of `DynamicRosterIfc[]`

    - #### getItemExtraData

          public static Element getItemExtraData(XMPPResourceConnection session,
                                                 Map<String,Object> settings,
                                                 Element item)

      Method description
      Parameters:
        `session` -
        `settings` -
        `item` -
      Returns:
        a value of `Element`

    - #### getRosterItems

          public static List<Element> getRosterItems(XMPPResourceConnection session,
                                                     Map<String,Object> settings)
                                              throws NotAuthorizedException,
                                                     RosterRetrievingException,
                                                     RepositoryAccessException

      Method description
      Parameters:
        `session` -
        `settings` -
      Returns:
        a value of `List<Element>`
      Throws:
        `NotAuthorizedException`
        `RepositoryAccessException`
        `RosterRetrievingException`

    - #### setItemExtraData

          public static void setItemExtraData(XMPPResourceConnection session,
                                              Map<String,Object> settings,
                                              Element item)

      Method description
      Parameters:
        `session` -
        `settings` -
        `item` -

Copyright © 2022 "Tigase, Inc.". All rights reserved.